For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
              • POSTGet Prices (batch)
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPricingProducts

Get Prices (batch)

POST
https://api.bigcommerce.com/stores/:store_hash/v3/pricing/products
POST
/stores/:store_hash/v3/pricing/products
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/pricing/products \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "channel_id": 1,
> "currency_code": "USD",
> "items": [
> {}
> ]
>}'
200Response
1{
2 "data": [
3 {
4 "product_id": 101,
5 "variant_id": 202,
6 "options": [
7 {
8 "option_id": 15,
9 "value_id": 37
10 }
11 ],
12 "reference_request": {
13 "product_id": 101,
14 "variant_id": 202,
15 "options": [
16 {
17 "option_id": 15,
18 "value_id": 37
19 }
20 ]
21 },
22 "retail_price": {
23 "as_entered": 29.99,
24 "entered_inclusive": false,
25 "tax_exclusive": 29.99,
26 "tax_inclusive": 32.39
27 },
28 "sale_price": {
29 "as_entered": 24.99,
30 "entered_inclusive": false,
31 "tax_exclusive": 24.99,
32 "tax_inclusive": 26.99
33 },
34 "minimum_advertised_price": {
35 "as_entered": 22.99,
36 "entered_inclusive": false,
37 "tax_exclusive": 22.99,
38 "tax_inclusive": 24.85
39 },
40 "saved": {
41 "as_entered": 5,
42 "entered_inclusive": false,
43 "tax_exclusive": 5,
44 "tax_inclusive": 5.4
45 },
46 "price": {
47 "as_entered": 24.99,
48 "entered_inclusive": false,
49 "tax_exclusive": 24.99,
50 "tax_inclusive": 26.99
51 },
52 "calculated_price": {
53 "as_entered": 24.99,
54 "entered_inclusive": false,
55 "tax_exclusive": 24.99,
56 "tax_inclusive": 26.99
57 },
58 "price_range": {
59 "minimum": {
60 "as_entered": 24.99,
61 "entered_inclusive": false,
62 "tax_exclusive": 24.99,
63 "tax_inclusive": 26.99
64 },
65 "maximum": {
66 "as_entered": 29.99,
67 "entered_inclusive": false,
68 "tax_exclusive": 29.99,
69 "tax_inclusive": 32.39
70 }
71 },
72 "retail_price_range": {
73 "minimum": {
74 "as_entered": 29.99,
75 "entered_inclusive": false,
76 "tax_exclusive": 29.99,
77 "tax_inclusive": 32.39
78 },
79 "maximum": {
80 "as_entered": 34.99,
81 "entered_inclusive": false,
82 "tax_exclusive": 34.99,
83 "tax_inclusive": 37.79
84 }
85 },
86 "bulk_pricing": [
87 {
88 "minimum": 5,
89 "maximum": 10,
90 "discount_amount": 10,
91 "discount_type": "percent",
92 "tax_discount_amount": [
93 {
94 "as_entered": 2,
95 "tax_inclusive": 2,
96 "tax_exclusive": 2,
97 "entered_inclusive": false
98 }
99 ]
100 },
101 {
102 "minimum": 11,
103 "maximum": 0,
104 "discount_amount": 15,
105 "discount_type": "percent",
106 "tax_discount_amount": [
107 {
108 "as_entered": 3,
109 "tax_inclusive": 3,
110 "tax_exclusive": 3,
111 "entered_inclusive": false
112 }
113 ]
114 }
115 ]
116 }
117 ],
118 "meta": {}
119}
Calculate batch pricing for products for a specific channel, currency, and customer group. The rounded prices in this endpoint's response will align with the currency's decimal precision as defined in the [currency](https://support.bigcommerce.com/s/article/Managing-Currencies?language=en_US#add) settings page. **Limits** * Limit of 50 concurrent requests.
Was this page helpful?
Previous

Pricing

Next

Price Lists

Built with

Calculate batch pricing for products for a specific channel, currency, and customer group.

The rounded prices in this endpoint’s response will align with the currency’s decimal precision as defined in the currency settings page.

Limits

  • Limit of 50 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
channel_idintegerRequired
The channel ID that pricing evaluates within. The default BigCommerce storefront is channel 1.
currency_codestringRequired
The currency code of prices this request returns.
itemslist of objectsRequired
The items for which to fetch prices.
country_codestringOptional

An ISO 3166-1 alpha-2 shopper’s country code representing a country or special geographic area.

customer_group_idintegerOptional
The customer group ID that's relevant for any customer group pricing, tax values, etc.
customer_idintegerOptional
The ID of the customer for whom to fetch prices.

Response

OK
datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.